import 'package:colors/config/default_global_settings.dart';

class ColorTheme {
  static const Map<String, List<int>> borderColors = {
    DefaultGlobalSettings.skinValueColors: [
      0xffffff,
      0xe63a3f,
      0x708cfd,
      0x359c35,
      0xffce2c,
      0xff6f43,
      0xa13cb1,
      0x38ffff,
      0xf2739d,
    ],
  };
  static const int defaultBorderColor = 0x808080;

  static int getColorCode(String skin, int value) {
    if (borderColors.containsKey(skin) && null != borderColors[skin]) {
      final List<int>? skinColors = borderColors[skin];
      if (null != skinColors) {
        return skinColors.elementAt(value) | 0xFF000000;
      }
    }
    return defaultBorderColor | 0xFF000000;
  }
}
