import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:colors/cubit/game_cubit.dart';
import 'package:colors/models/game/game.dart';
import 'package:colors/ui/widgets/game/select_color_bar.dart';

class GameBottomWidget extends StatelessWidget {
  const GameBottomWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return !currentGame.isFinished ? const SelectColorBar() : const SizedBox.shrink();
      },
    );
  }
}
