import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:flutter/material.dart';

import 'package:colors/cubit/game_cubit.dart';
import 'package:colors/models/game/cell.dart';
import 'package:colors/models/game/game.dart';
import 'package:colors/ui/widgets/game/cell.dart';

class SelectColorBar extends StatelessWidget {
  const SelectColorBar({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        final int colorsCount = currentGame.gameSettings.colorsCount;
        final double blockWidth = MediaQuery.of(context).size.width;
        final double itemWidth = blockWidth / colorsCount;

        return Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            for (int value = 1; value <= colorsCount; value++)
              CellWidget(
                cell: Cell(value),
                itemWidth: itemWidth,
              ),
          ],
        );
      },
    );
  }
}
