import 'package:colors/cubit/game_cubit.dart';
import 'package:colors/models/game/game.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';


class GameIndicatorMaxMovesCount extends StatelessWidget {
  const GameIndicatorMaxMovesCount({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        Color maxMovesCountColor = Colors.grey;
        if (currentGame.movesCount > currentGame.maxMovesCount) {
          maxMovesCountColor = Colors.red;
        }

        return Text(
          '(max: ${currentGame.maxMovesCount})',
          style: TextStyle(
            fontSize: 15,
            fontWeight: FontWeight.w600,
            color: maxMovesCountColor,
          ),
        );
      },
    );
  }
}
