import 'package:colors/cubit/game_cubit.dart';
import 'package:colors/models/game/game.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';


class GameIndicatorMovesCount extends StatelessWidget {
  const GameIndicatorMovesCount({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return Text(
          currentGame.movesCount.toString(),
          style: TextStyle(
            fontSize: 35,
            fontWeight: FontWeight.w600,
            color: Theme.of(context).colorScheme.primary,
          ),
        );
      },
    );
  }
}
