import 'package:colors/cubit/game_cubit.dart';
import 'package:colors/models/game/game.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';


class GameIndicatorProgress extends StatelessWidget {
  const GameIndicatorProgress({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        String progressIndicator = '${currentGame.progress}/${currentGame.progressTotal}';

        if (currentGame.movesCount > 0) {
          progressIndicator += ' (+${currentGame.progressDelta})';
        }

        return Text(
          progressIndicator,
          style: const TextStyle(
            fontSize: 15,
            fontWeight: FontWeight.w600,
            color: Colors.green,
          ),
        );
      },
    );
  }
}
